# -*- encoding: utf-8 -*-
# stub: byebug 5.0.0 ruby lib
# stub: ext/byebug/extconf.rb

Gem::Specification.new do |s|
  s.name = "byebug"
  s.version = "5.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["David Rodriguez", "Kent Sibilev", "Mark Moseley"]
  s.date = "2015-05-18"
  s.description = "Byebug is a Ruby 2 debugger. It's implemented using the\n    Ruby 2 TracePoint C API for execution control and the Debug Inspector C API\n    for call stack navigation.  The core component provides support that\n    front-ends can build on. It provides breakpoint handling and bindings for\n    stack frames among other things and it comes with an easy to use command\n    line interface."
  s.email = "deivid.rodriguez@mail.com"
  s.executables = ["byebug"]
  s.extensions = ["ext/byebug/extconf.rb"]
  s.extra_rdoc_files = ["CHANGELOG.md", "CONTRIBUTING.md", "README.md", "GUIDE.md"]
  s.files = ["CHANGELOG.md", "CONTRIBUTING.md", "GUIDE.md", "LICENSE", "README.md", "bin/byebug", "ext/byebug/breakpoint.c", "ext/byebug/byebug.c", "ext/byebug/byebug.h", "ext/byebug/context.c", "ext/byebug/extconf.rb", "ext/byebug/locker.c", "ext/byebug/threads.c", "lib/byebug.rb", "lib/byebug/attacher.rb", "lib/byebug/breakpoint.rb", "lib/byebug/command.rb", "lib/byebug/commands/break.rb", "lib/byebug/commands/catch.rb", "lib/byebug/commands/condition.rb", "lib/byebug/commands/continue.rb", "lib/byebug/commands/delete.rb", "lib/byebug/commands/disable.rb", "lib/byebug/commands/disable/breakpoints.rb", "lib/byebug/commands/disable/display.rb", "lib/byebug/commands/display.rb", "lib/byebug/commands/down.rb", "lib/byebug/commands/edit.rb", "lib/byebug/commands/enable.rb", "lib/byebug/commands/enable/breakpoints.rb", "lib/byebug/commands/enable/display.rb", "lib/byebug/commands/eval.rb", "lib/byebug/commands/finish.rb", "lib/byebug/commands/frame.rb", "lib/byebug/commands/help.rb", "lib/byebug/commands/history.rb", "lib/byebug/commands/info.rb", "lib/byebug/commands/info/args.rb", "lib/byebug/commands/info/breakpoints.rb", "lib/byebug/commands/info/catch.rb", "lib/byebug/commands/info/display.rb", "lib/byebug/commands/info/file.rb", "lib/byebug/commands/info/line.rb", "lib/byebug/commands/info/program.rb", "lib/byebug/commands/interrupt.rb", "lib/byebug/commands/irb.rb", "lib/byebug/commands/kill.rb", "lib/byebug/commands/list.rb", "lib/byebug/commands/method.rb", "lib/byebug/commands/next.rb", "lib/byebug/commands/pp.rb", "lib/byebug/commands/pry.rb", "lib/byebug/commands/ps.rb", "lib/byebug/commands/putl.rb", "lib/byebug/commands/quit.rb", "lib/byebug/commands/restart.rb", "lib/byebug/commands/save.rb", "lib/byebug/commands/set.rb", "lib/byebug/commands/show.rb", "lib/byebug/commands/source.rb", "lib/byebug/commands/step.rb", "lib/byebug/commands/thread.rb", "lib/byebug/commands/thread/current.rb", "lib/byebug/commands/thread/list.rb", "lib/byebug/commands/thread/resume.rb", "lib/byebug/commands/thread/stop.rb", "lib/byebug/commands/thread/switch.rb", "lib/byebug/commands/tracevar.rb", "lib/byebug/commands/undisplay.rb", "lib/byebug/commands/untracevar.rb", "lib/byebug/commands/up.rb", "lib/byebug/commands/var.rb", "lib/byebug/commands/var/all.rb", "lib/byebug/commands/var/const.rb", "lib/byebug/commands/var/global.rb", "lib/byebug/commands/var/instance.rb", "lib/byebug/commands/var/local.rb", "lib/byebug/commands/where.rb", "lib/byebug/context.rb", "lib/byebug/core.rb", "lib/byebug/helpers/eval.rb", "lib/byebug/helpers/file.rb", "lib/byebug/helpers/frame.rb", "lib/byebug/helpers/parse.rb", "lib/byebug/helpers/string.rb", "lib/byebug/helpers/thread.rb", "lib/byebug/helpers/toggle.rb", "lib/byebug/helpers/var.rb", "lib/byebug/history.rb", "lib/byebug/interface.rb", "lib/byebug/interfaces/local_interface.rb", "lib/byebug/interfaces/remote_interface.rb", "lib/byebug/interfaces/script_interface.rb", "lib/byebug/interfaces/test_interface.rb", "lib/byebug/printers/base.rb", "lib/byebug/printers/plain.rb", "lib/byebug/printers/texts/base.yml", "lib/byebug/printers/texts/plain.yml", "lib/byebug/processor.rb", "lib/byebug/processors/command_processor.rb", "lib/byebug/processors/control_command_processor.rb", "lib/byebug/remote.rb", "lib/byebug/runner.rb", "lib/byebug/setting.rb", "lib/byebug/settings/autoeval.rb", "lib/byebug/settings/autoirb.rb", "lib/byebug/settings/autolist.rb", "lib/byebug/settings/autosave.rb", "lib/byebug/settings/basename.rb", "lib/byebug/settings/callstyle.rb", "lib/byebug/settings/fullpath.rb", "lib/byebug/settings/histfile.rb", "lib/byebug/settings/histsize.rb", "lib/byebug/settings/linetrace.rb", "lib/byebug/settings/listsize.rb", "lib/byebug/settings/post_mortem.rb", "lib/byebug/settings/savefile.rb", "lib/byebug/settings/stack_on_error.rb", "lib/byebug/settings/verbose.rb", "lib/byebug/settings/width.rb", "lib/byebug/state.rb", "lib/byebug/states/control_state.rb", "lib/byebug/states/regular_state.rb", "lib/byebug/subcommand_list.rb", "lib/byebug/subcommands.rb", "lib/byebug/version.rb"]
  s.homepage = "http://github.com/deivid-rodriguez/byebug"
  s.licenses = ["BSD"]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0")
  s.rubygems_version = "2.2.2"
  s.summary = "Ruby 2.0 fast debugger - base + CLI"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<columnize>, ["= 0.9.0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.7"])
    else
      s.add_dependency(%q<columnize>, ["= 0.9.0"])
      s.add_dependency(%q<bundler>, ["~> 1.7"])
    end
  else
    s.add_dependency(%q<columnize>, ["= 0.9.0"])
    s.add_dependency(%q<bundler>, ["~> 1.7"])
  end
end
